# Generated by Django 3.0.8 on 2020-07-03 19:46

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Product",
            fields=[
                (
                    "id",
                    models.TextField(max_length=255, primary_key=True, serialize=False),
                ),
                (
                    "name",
                    models.TextField(
                        validators=[
                            django.core.validators.MinLengthValidator(3),
                            django.core.validators.MaxLengthValidator(55),
                        ]
                    ),
                ),
                (
                    "value",
                    models.FloatField(
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(99999.9),
                        ]
                    ),
                ),
                ("discount_value", models.FloatField(blank=True)),
                (
                    "stock",
                    models.IntegerField(
                        validators=[django.core.validators.MinValueValidator(0)]
                    ),
                ),
            ],
            options={"db_table": "products",},
        ),
    ]
